@import '../../../../scss/variables.scss';
@import "../../../../../node_modules/bulma/sass/utilities/_all";

.modal {
  position: absolute;
  max-width: 100%;
  z-index: 1;
  overflow-y: hidden;
}

.modal.is-active {
  display: block;
}

.modal-card {
  padding: 36px 10px 0 10px;
  margin: auto;
  box-shadow: 0 4px 28px 0 rgba(0, 0, 0, 0.55);
  // max-height: calc(100vh - 70px);

  @media screen and (min-width: $tablet) {
    width: $tablet;
    margin: 30px auto 0 auto;
    padding: 0;
  }
}

.ghost-style{
  min-height: 500px;
}
.modal-background {
  background-color: rgba(36, 43, 63, 0.85);
}

.modal-card-head {
  background-color: $brand-color;

  p {
    color: white;
    font-size: 1.125rem;
  }
}

.modal-card-body {
  max-height: 450px;
  padding: 40px;
}

.modal-card-foot {
  justify-content: flex-end;
}

.modal-close {
  position: absolute;
  top: unset;
}

.modal-card-foot {
  background-color: white;
}

.warning-message {
  color: $tomato-color;
  font-size: 1.125rem;
  font-weight: bold;
}
footer{
  flex-direction: column;
  padding-top:15px;
  .acceptation{
    align-self:flex-end;
    font-weight: 600;
    font-size: 1rem;
    color:$orange-color;
    margin-bottom: 0.5rem;
    position: relative;
    @media screen and(max-width:$tablet){
      text-align: center;
    }
  }
  .buttons{
    align-self:flex-end;
    @media screen and(max-width:$tablet){
     display: flex;
     width:100%;
    }
    .button{
      margin-bottom:0;
      @media screen and(max-width:$tablet){
        width:48%;
       }
    }
    .orange-button{
      background: $orange-color;
    }
  }
  .shakeAnimation{
    animation: shake linear;
    animation-iteration-count: 3;
    animation-duration: 100ms;
  }
  @keyframes shake{
    0%{
      top:0px;
    }
    50%{
      top:-5px;
    }
    100%{
      top:0px;
    }
  }
}


